Package ru.bitel.bgbilling.plugins.dispatch.server.utils

# Class DispatchUtils

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.container.service.server.AbstractService
ru.bitel.bgbilling.plugins.dispatch.server.utils.DispatchUtils

public final class DispatchUtils extends ru.bitel.bgbilling.kernel.container.service.server.AbstractService

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.container.service.server.AbstractService

  `context, moduleId, NO_SELECT, userId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DispatchUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<Contact>`
  `getContactsFromContractParameters(int contractId, Dispatch dispatch, Connection con)`
  Возвращает список контактов из параметров договора, в зависимости от типа контактов в подписке или пустой список, если контактов в параметрах не оказалось
  `static int`
  `getContactTypeIdOfContact(Dispatch dispatch, Connection con)`
  Возвращает id типа контактов для подписки
  `static int`
  `getContactTypePid(Dispatch dispatch, Connection con)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.container.service.server.AbstractService

  `getChargeTypeDirectory, getConnection, getConnectionSet, getContract, getModuleSetup, getPaymentTypeDirectory, getReserveTypeDirectory, getServiceDirectory, getSetup, getSlaveConnection, getTrashConnection, getUserConfig, getUserInfoDirectory, resetModuleSetup, tryCall, tryReturn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DispatchUtils

    public DispatchUtils()

- ## Method Details

  - ### getContactsFromContractParameters

    public static List<Contact> getContactsFromContractParameters(int contractId, Dispatch dispatch, Connection con) throws ru.bitel.bgbilling.common.BGException
    Возвращает список контактов из параметров договора, в зависимости от типа контактов в подписке или пустой список, если контактов в параметрах не оказалось
    Parameters:
      `contractId` - id договора
      `dispatch` - обрабатываемая рассылка
    Returns:
      список контактов для рассылки
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContactTypeIdOfContact

    public static int getContactTypeIdOfContact(Dispatch dispatch, Connection con) throws ru.bitel.bgbilling.common.BGException
    Возвращает id типа контактов для подписки
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContactTypePid

    public static int getContactTypePid(Dispatch dispatch, Connection con) throws SQLException
    Throws:
      `SQLException`